Bug 821520 - [abrt] gjs-1.32.0-1.fc17: find_root: Process /usr/bin/gjs-console was killed by signal 11 (SIGSEGV)
[abrt] gjs-1.32.0-1.fc17: find_root: Process /usr/bin/gjs-console was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:032542ab65f4c4d7c3053c8b5ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 14:39 EDT by fred
Modified: 2013-08-01 09:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:07:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (57.30 KB, text/plain)
2012-05-14 14:39 EDT, fred
no flags Details
File: smolt_data (4.62 KB, text/plain)
2012-05-14 14:39 EDT, fred
no flags Details
File: maps (186.12 KB, text/plain)
2012-05-14 14:39 EDT, fred
no flags Details
File: dso_list (16.57 KB, text/plain)
2012-05-14 14:39 EDT, fred
no flags Details
File: build_ids (5.29 KB, text/plain)
2012-05-14 14:39 EDT, fred
no flags Details

  None (edit)
Description fred 2012-05-14 14:39:11 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();'
crash_function: find_root
executable:     /usr/bin/gjs-console
kernel:         3.3.4-5.fc17.x86_64
pid:            2719
pwd:            /home/fred
remote_result:  NOTFOUND
time:           lun. 14 mai 2012 20:30:05 CEST
uid:            1000
username:       fred

backtrace:      Text file, 58672 bytes
build_ids:      Text file, 5412 bytes
dso_list:       Text file, 16968 bytes
maps:           Text file, 190586 bytes
smolt_data:     Text file, 4729 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/fred/2

core_backtrace:
:8568e11bef79abaf14513d18a8559282d8dad34a 0x5f903 g_sequence_iter_get_sequence libglib-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x1747b7 - libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x1760cb gtk_list_store_set_valist libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x1761e7 gtk_list_store_set libgtk-3.so.0 -
:1f8f75d6c01b132b56e6eef3b2109bf3d9764d09 0xe36d gd_organize_store_set libgdprivate-1.0.so -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x22ead - libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x243d3 - libgjs.so.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd781e - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xc1840 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xa6585 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xcb946 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xab75d - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xcb946 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xa6585 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd76cb - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7c64 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4d2fe JS_CallFunctionValue libmozjs185.so.1.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x22316 - libgjs.so.0 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5c77 ffi_closure_unix64_inner libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5ff8 ffi_closure_unix64 libffi.so.5 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6ce47 g_simple_async_result_complete libgio-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x6cec8 - libgio-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47aa4 g_main_context_iteration libglib-2.0.so.0 -
:647c8183274c4626c81e86e7a631a81782a04e65 0x97cfc g_application_run libgio-2.0.so.0 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x22ead - libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x243d3 - libgjs.so.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd781e - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xc1840 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd63a3 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4d96f JS_EvaluateUCScriptForPrincipals libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4dc62 JS_EvaluateUCScript libmozjs185.so.1.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x12da7 gjs_context_eval libgjs.so.0 -
:7f2766dbfa08fa29e36e1d1937a9722a51b25074 0xf2e main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=boulet
:GIO_LAUNCHED_DESKTOP_FILE_PID=2717
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/fred/keyring-rooiyO/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-shell-1400-boulet-gnome-documents-3_TIME438443
:SHELL=/bin/zsh
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=a7abb38d09e3d8a83ae27fac00000009-1337019762.490730-1143715541
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/fred/keyring-rooiyO
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=fred
:LD_LIBRARY_PATH=/usr/lib64/gnome-documents
:SSH_AUTH_SOCK=/run/user/fred/keyring-rooiyO/ssh
:GJS_PATH=/usr/share/gnome-documents/js
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1190,unix/unix:/tmp/.ICE-unix/1190
:USERNAME=XXX
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-documents.desktop
:MAIL=/var/spool/mail/fred
:PATH=/usr/local/bin:/usr/bin:/bin:/home/fred/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/fred
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1185
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/fred
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=fred
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-r5AE4USbt1,guid=e025b95945f16d126dbf51dc00000031
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:GI_TYPELIB_PATH=/usr/lib64/gnome-documents/girepository-1.0
:XDG_RUNTIME_DIR=/run/user/fred
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-fred-rm66m2/database
:_=/usr/bin/gjs-console

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63152                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63152                63152                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/fred/.xsession-errors
:pos:	3927
:flags:	0102002
:2:/home/fred/.xsession-errors
:pos:	3927
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[110183]
:pos:	0
:flags:	02004002
:7:socket:[123282]
:pos:	0
:flags:	02004002
:8:socket:[123278]
:pos:	0
:flags:	02004002
:9:socket:[123279]
:pos:	0
:flags:	02004002
:10:/dev/dri/card0
:pos:	0
:flags:	0100002
:11:/home/fred/.cache/tracker/meta.db
:pos:	223232
:flags:	02100000
:12:/home/fred/.cache/tracker/meta.db-wal
:pos:	652936
:flags:	02100002
:13:/home/fred/.cache/tracker/meta.db-shm
:pos:	0
:flags:	0100002
:14:anon_inode:inotify
:pos:	0
:flags:	02004000
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:/dev/urandom
:pos:	0
:flags:	02100000

var_log_messages:
:May 14 20:30:05 boulet kernel: [  495.490787] gjs-console[2719] general protection ip:7f118e928903 sp:7fff4bac4498 error:0 in libglib-2.0.so.0.3200.1[7f118e8c9000+11d000]
:May 14 20:30:06 boulet abrt[2782]: Saved core dump of pid 2719 (/usr/bin/gjs-console) to /var/spool/abrt/ccpp-2012-05-14-20:30:05-2719 (98295808 bytes)
Comment 1 fred 2012-05-14 14:39:15 EDT
Created attachment 584437 [details]
File: backtrace
Comment 2 fred 2012-05-14 14:39:17 EDT
Created attachment 584438 [details]
File: smolt_data
Comment 3 fred 2012-05-14 14:39:19 EDT
Created attachment 584439 [details]
File: maps
Comment 4 fred 2012-05-14 14:39:21 EDT
Created attachment 584440 [details]
File: dso_list
Comment 5 fred 2012-05-14 14:39:23 EDT
Created attachment 584441 [details]
File: build_ids
Comment 6 Taryn Fox 2012-06-01 17:03:35 EDT
I added a document to a collection, then clicked "Add" on the dialog again and nothing happened. I tried to click OK or Close or whatever it was, and then the window disappeared.

backtrace_rating: 4
Package: gjs-1.32.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2013-07-04 00:17:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 09:07:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.